Bug 800624 - Template rendering error in link->add route
Template rendering error in link->add route
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
Unspecified Unspecified
low Severity low
: 3.0
: ---
Assigned To: Chad Roberts
Stanislav Graf
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 14:54 EST by Trevor McKay
Modified: 2013-05-06 09:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: cumin-0.1.5492-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 09:52:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot showing the rendering error (53.66 KB, image/png)
2012-03-06 14:55 EST, Trevor McKay
no flags Details

  None (edit)
Description Trevor McKay 2012-03-06 14:54:41 EST
Description of problem:

Drilling into a broker link and selecting add route reveals a templating error, displayed in the attached screen shot.

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:

1.  Set up a Cumin instance with Messaging enabled (modify the peronsa: and
datas: values in cumin.conf for Messaging.  This is the default in current
releases.)

2.  Go to Messaging->select broker->Links and click "Add broker link".  Create some fake link.

3.  Drill into the link created and select the "Add route" task.
  
Actual results:

The {field_help} and {errors} template components will be displayed.  This is an indication that the underlying widget has no corresponding render routines or attributes.


Expected results:

These template components should not be displayed.  Either the template should be modified, or the widget should be corrected to contain the expected elements.

Additional info:
Comment 1 Trevor McKay 2012-03-06 14:55:38 EST
Created attachment 568050 [details]
Screen shot showing the rendering error
Comment 2 Chad Roberts 2012-07-03 14:24:05 EDT
Fixed on trunk revision 5426.  Neither {errors} nor {field_help} are needed on this form.
Comment 9 Stanislav Graf 2013-04-05 08:15:10 EDT
Reproduced
RHEL 6 x86_64
cumin-0.1.5444-3

Verified
RHEL 5/6 i386/x86_64
cumin-0.1.5675-1

--> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.